Subject: Re: linux-next: manual merge of the akpm tree with the vfs tree

From: Jan Kara <[email-masked]>
Date: Thu, 4 Apr 2013 14:33:47 +0200

On Thu 04-04-13 17:12:11, Stephen Rothwell wrote:
> Hi Andrew,
> 
> Today's linux-next merge of the akpm tree got conflicts in mm/filemap.c,
> fs/xfs/xfs_file.c, fs/splice.c, fs/ocfs2/file.c, fs/ntfs/file.c,
> fs/fuse/file.c, fs/cifs/file.c and fs/btrfs/file.c between commit
> 36bd5dc0c4e2 ("lift sb_start_write/sb_end_write out of ->aio_write()")
> from the vfs tree and commit "fs: return EAGAIN when O_NONBLOCK write
> should block on frozen fs" from the akpm tree.
> 
> The former was removing the code modified by the letter, so I just
> dropped the akpm tree patch and the following "ocfs2: add freeze
> protection to ocfs2_file_splice_write()".
  Yeah, Al has been changing the area significantly. Andrew, you can drop
the three relevant patches from -mm since they'll have to be redone. ocfs2
should be actually fixed by Al's changes, psacct freeze remains but fixing
it will become trivial...

								Honza
-- 
Jan Kara <[email-masked]>
SUSE Labs, CR